copy(3)

NAME
copy - copy: y = x

SYNOPSIS

  Functions

subroutine ccopy (n, cx, incx, cy, incy)
CCOPY
subroutine dcopy (n, dx, incx, dy, incy)
DCOPY
subroutine scopy (n, sx, incx, sy, incy)
SCOPY
subroutine zcopy (n, zx, incx, zy, incy)
ZCOPY

Detailed Description

Function Documentation

  subroutine ccopy (integer n, complex, dimension(*) cx, integer incx, complex, dimension(*) cy, integer incy)

CCOPY

Purpose:

    !>
    !>    CCOPY copies a vector x to a vector y.
    !>

Parameters
    N

    !>          N is INTEGER
    !>         number of elements in input vector(s)
    !>

    CX

    !>          CX is COMPLEX array, dimension ( 1 + ( N - 1 )*abs( INCX ) )
    !>

    INCX

    !>          INCX is INTEGER
    !>         storage spacing between elements of CX
    !>

    CY

    !>          CY is COMPLEX array, dimension ( 1 + ( N - 1 )*abs( INCY ) )
    !>

    INCY

    !>          INCY is INTEGER
    !>         storage spacing between elements of CY
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Further Details:

    !>
    !>     jack dongarra, linpack, 3/11/78.
    !>     modified 12/3/93, array(1) declarations changed to array(*)
    !>

  subroutine dcopy (integer n, double precision, dimension(*) dx, integer incx, double precision, dimension(*) dy, integer incy)

DCOPY

Purpose:

    !>
    !>    DCOPY copies a vector, x, to a vector, y.
    !>    uses unrolled loops for increments equal to 1.
    !>

Parameters
    N

    !>          N is INTEGER
    !>         number of elements in input vector(s)
    !>

    DX

    !>          DX is DOUBLE PRECISION array, dimension ( 1 + ( N - 1 )*abs( INCX ) )
    !>

    INCX

    !>          INCX is INTEGER
    !>         storage spacing between elements of DX
    !>

    DY

    !>          DY is DOUBLE PRECISION array, dimension ( 1 + ( N - 1 )*abs( INCY ) )
    !>

    INCY

    !>          INCY is INTEGER
    !>         storage spacing between elements of DY
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Further Details:

    !>
    !>     jack dongarra, linpack, 3/11/78.
    !>     modified 12/3/93, array(1) declarations changed to array(*)
    !>

  subroutine scopy (integer n, real, dimension(*) sx, integer incx, real, dimension(*) sy, integer incy)

SCOPY

Purpose:

    !>
    !>    SCOPY copies a vector, x, to a vector, y.
    !>    uses unrolled loops for increments equal to 1.
    !>

Parameters
    N

    !>          N is INTEGER
    !>         number of elements in input vector(s)
    !>

    SX

    !>          SX is REAL array, dimension ( 1 + ( N - 1 )*abs( INCX ) )
    !>

    INCX

    !>          INCX is INTEGER
    !>         storage spacing between elements of SX
    !>

    SY

    !>          SY is REAL array, dimension ( 1 + ( N - 1 )*abs( INCY ) )
    !>

    INCY

    !>          INCY is INTEGER
    !>         storage spacing between elements of SY
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Further Details:

    !>
    !>     jack dongarra, linpack, 3/11/78.
    !>     modified 12/3/93, array(1) declarations changed to array(*)
    !>

  subroutine zcopy (integer n, complex*16, dimension(*) zx, integer incx, complex*16, dimension(*) zy, integer incy)

ZCOPY

Purpose:

    !>
    !>    ZCOPY copies a vector, x, to a vector, y.
    !>

Parameters
    N

    !>          N is INTEGER
    !>         number of elements in input vector(s)
    !>

    ZX

    !>          ZX is COMPLEX*16 array, dimension ( 1 + ( N - 1 )*abs( INCX ) )
    !>

    INCX

    !>          INCX is INTEGER
    !>         storage spacing between elements of ZX
    !>

    ZY

    !>          ZY is COMPLEX*16 array, dimension ( 1 + ( N - 1 )*abs( INCY ) )
    !>

    INCY

    !>          INCY is INTEGER
    !>         storage spacing between elements of ZY
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Further Details:

    !>
    !>     jack dongarra, linpack, 4/11/78.
    !>     modified 12/3/93, array(1) declarations changed to array(*)
    !>

Author

Generated automatically by Doxygen for LAPACK from the source code.